Texa DeskDevelopers

Texa Desk Application API · Contacts

Show Contact

GET/api/v1/accounts/{account_id}/contacts/{id}

Get a contact belonging to the account using ID

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the contact

Responses

200

Success

payloadobject
payload.additional_attributesobject

The object containing additional attributes related to the contact

payload.additional_attributes.citystring

City of the contact

payload.additional_attributes.countrystring

Country of the contact

payload.additional_attributes.country_codestring

Country code of the contact

payload.additional_attributes.created_at_ipstring

IP address when the contact was created

payload.availability_statusstring

Availability status of the contact One of: online, offline.

payload.emailstring

The email address of the contact

payload.idinteger

The ID of the contact

payload.namestring

The name of the contact

payload.phone_numberstring

The phone number of the contact

payload.blockedboolean

Whether the contact is blocked

payload.identifierstring

The identifier of the contact

payload.thumbnailstring

The thumbnail of the contact

payload.custom_attributesobject

The custom attributes of the contact

payload.last_activity_atinteger

Timestamp of last activity

payload.created_atinteger

Timestamp when contact was created

payload.contact_inboxesarray of object

List of inboxes associated with this contact

payload.contact_inboxes[].source_idstring

Source identifier for the contact inbox

payload.contact_inboxes[].inboxobject
404

Contact not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring